Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Step-by-Step Configuration and Troubleshooting Best Practices for the NGFW, NGIPS and AMP Technologies A Visual Guide to the Cisco Firepower Threat Defense (FTD)
New Member

upgrading ASDM

i'd like to upgrade my ASDM but if i remember correctly both the ASA and ASDM have to have the same versions.

I pulled the following off of my ASA5505

Cisco Adaptive Security Appliance Software Version 8.4(4)
Device Manager Version 6.4(9)

Compiled on Mon 21-May-12 10:48 by builders
System image file is "disk0:/asa844-k8.bin"
Config file at boot was "startup-config"

 

any thoughts or advice?

 

Thanks, Gary

1 ACCEPTED SOLUTION

Accepted Solutions
New Member

Hi Gary, ASDM version and ASA

Hi Gary,

 

ASDM version and ASA IOS don't necessarily have to be the same.

 

Here is a link to a matrix which lets you know which ASDM version you need to correspond with whatever version of IOS you have

 

http://www.cisco.com/c/en/us/td/docs/security/asa/compatibility/asamatrx.html

 

This should get you going. Also Java is very picky on the PC when trying to get your client launched so here is link to a blog I used to help get my IE and Java settings just right

 

http://www.tpateman.co.uk/reboot/cisco-asa-5505-asdm-access-with-java-7/

 

 

Hope this helps

 

Kelvin

3 REPLIES
New Member

Hi Gary, ASDM version and ASA

Hi Gary,

 

ASDM version and ASA IOS don't necessarily have to be the same.

 

Here is a link to a matrix which lets you know which ASDM version you need to correspond with whatever version of IOS you have

 

http://www.cisco.com/c/en/us/td/docs/security/asa/compatibility/asamatrx.html

 

This should get you going. Also Java is very picky on the PC when trying to get your client launched so here is link to a blog I used to help get my IE and Java settings just right

 

http://www.tpateman.co.uk/reboot/cisco-asa-5505-asdm-access-with-java-7/

 

 

Hope this helps

 

Kelvin

New Member

thanks for the advice!!yeah,

thanks for the advice!!

yeah, the java thing.....i ended up uninstalling the latest java versions and kept version 6.

i think i'm going to attempt to upgrade the ASA and see what happens!

 

Thanks for your help!

Hall of Fame Super Silver

What Kelvin said. :)I would

What Kelvin said. :)

I would add that, unless you have ASA 7.x code, go ahead and load the current ASDM as noted on the Cisco matrix. That's ASDM 7.1(6) as of this writing.

93
Views
0
Helpful
3
Replies
CreatePlease to create content